import json

input_json = "VBench_full_info.json"
output_txt = "VBench_full_info.txt"

with open(input_json, "r", encoding="utf-8") as f:
    data = json.load(f)

with open(output_txt, "w", encoding="utf-8") as f:
    for item in data:
        if "prompt_en" in item:
            f.write(item["prompt_en"].strip() + "\n")

print(f" {len(data)}  prompts have been written in {output_txt}")
